# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc提交配货单验证,3000,3000-2,sit,bs
主数据平台:后台运营系统提交配货单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_scenario"
a = 20
while a <= 20:
    # 第一步获取后台运营平台获取登录信息
    username = commonFuc().get_business_data(module, "username_102")
    password = commonFuc().get_business_data(module, "password_102")
    # 获取登录后Cmdc_access_token
    cmdc_access_token = CmdcDoLogin(username, password).get_token()
    headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

    # 第二步获取待配货列表
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2_1")
    request_body = commonFuc().get_business_data(module, "payload2_1")
    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    result = json.loads(result.content)

    # 获取配货单信息
    distributionId = result["data"]["list"][0]["distributionId"]
    demandParentCode = result["data"]["list"][0]["demandParentCode"]
    demandCode = result["data"]["list"][0]["demandCode"]
    distributionCode = result["data"]["list"][0]["distributionCode"]

    # 第三步获取配货单详情
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2_3")
    request_body = commonFuc().get_business_data(module, "payload2_3",distributionId)
    # 发送请求
    result = requests.get(url, params=request_body, headers=headers)
    result = json.loads(result.content)

    # 获取配货信息
    demandParentId = result["data"]["demandDetailVO"]["demandParentId"]
    demandId = result["data"]["demandDetailVO"]["demandId"]

    # 第四步提交配货单信息
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2_2")
    request_body = commonFuc().get_business_data(module, "payload2_2", distributionId, distributionCode, demandCode,
                                                 demandParentCode, distributionCode, demandCode, distributionCode,
                                                 demandId,
                                                 demandParentId, demandCode, demandParentCode, distributionCode,
                                                 distributionId,
                                                 distributionId, distributionId, distributionCode, demandCode,
                                                 demandParentCode,
                                                 distributionCode, distributionId, distributionId, distributionCode,
                                                 demandCode,
                                                 demandParentCode, distributionCode, distributionId, distributionId,
                                                 distributionCode,
                                                 demandCode, demandParentCode, distributionCode)
    # request_body = json.dumps(request_body)
    request_body = [request_body]
    # print(type(request_body))
    """
     场景: 提交配货单验证
     用例名称：提交配货单验证
     输出：{"success":true,"code":"200","message":"保存成功","data":null,"freshToken":null}
    """

    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())
    result = json.loads(result.content)
    print(result)
    print(demandParentCode)
    result["api_time"] = api_time

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict2")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
    a = a + 1
