# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc发放返利规则_失效停用功能验证,2271,2271-43,sit,bs
主数据平台:后台运营系统返利发放规则停用接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利发放规则列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url39_1")
request_body = commonFuc().get_business_data(module, "payload39_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取指定返利发放规则信息
rebate_trip_id = result["data"]["list"][0]["rebateTripId"]
print(rebate_trip_id)

# 返利发放规则停用状态
status = 102

# 第三步进行返利规则停用操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url39")
request_body = commonFuc().get_business_data(module, "payload39", rebate_trip_id, status)
# print(request_body)
"""
 场景: 发放返利规则_失效停用功能验证
 用例名称：发放返利规则_失效停用功能验证
 输出：{"success":true,"code":"200","message":"ok","data":1}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict39")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询返利发放规则状态
sql = "SELECT t.status FROM `cmdc-order`.tc_rebatetrip t WHERE rebateTripId = {}".format(rebate_trip_id)
result = {"status": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}

# 核验数据库返利发放规则对应的删除标识是否正确
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict39_1", status)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
